[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Syncrepl issues in multi-versions environment

Hi Quanah,

I thank you for your answer.

Quanah Gibson-Mount a écrit :
--On Wednesday, September 10, 2008 6:12 PM +0200 Thibault Le Meur <Thibault.LeMeur@supelec.fr> wrote:

We are having serious issues with syncrepl replication and our 3 openldap
servers. These issues first occurred when one of the servers was upgraded
to openldap 2.4.11 while the two others were (and still are)
openldap-servers-2.3.39 and openldap-servers-2.3.30.

I suggest examining the changelog for OpenLDAP 2.3, in particular the number of syncrepl related bugs since 2.3.30.
To be honest I've already read this changelog: It is true that the list of syncrepl/syncprov fixes is rather long and that a full upgrade to 2.4 is certainly recommended.
Though, such an upgrade is not always easy to do in a production environment: we have to prepare it carefully.
Moreover, I'm not always able to understand the implications of each fix. That's why I sent this email to the list with the aim to verify that our structure is supported (at least by openldap 2.4).